OpenStack Compute (Nova)

nova-manage vm list output is not consistent with nova cli - changes _ to - in name !

Reported by Gavin B on 2011-11-25
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
OpenStack Compute (nova)
Medium
Russell Bryant

Bug Description

brebner@az1-testclient-0002:~/nova-st2gavinmax$ nova list
+------+--------------------+--------+--------------------------------+
| ID | Name | Status | Networks |
+------+--------------------+--------+--------------------------------+
| 5963 | gavinmax_mx_inst_0 | ACTIVE | null=10.13.25.7, 15.184.92.97 |
| 5964 | gavinmax_mx_inst_1 | ACTIVE | null=10.13.25.6, 15.184.92.117 |
| 5965 | gavinmax_mx_inst_2 | ACTIVE | null=10.13.25.8, 15.184.92.118 |
| 5966 | test4 | ACTIVE | null=10.13.25.9, 15.184.92.119 |
+------+--------------------+--------+--------------------------------+
brebner@az1-testclient-0002:~/nova-st2gavinmax$

however

nova-manage vm list | grep gavinmax
gavinmax-mx-inst-0 az1-nv-compute-0015standard.smallactive 2011-11-24 20:10:06 113 112 gavinmax_pgavinmax None 0
gavinmax-mx-inst-1 az1-nv-compute-0020standard.smallactive 2011-11-24 20:11:15 113 112 gavinmax_pgavinmax None 0
gavinmax-mx-inst-2 az1-nv-compute-0003standard.smallactive 2011-11-24 20:11:14 113 112 gavinmax_pgavinmax None 0
test4 az1-nv-compute-0021standard.xsmallactive 2011-11-24 20:15:56 113 112 gavinmax_pgavinmax None 0
[gavin@gbcsbu tests]$

The correct names are '_' not '-' so why is the nova-manage output changing them ?

Diablo-final based system

Thierry Carrez (ttx) on 2011-11-25
Changed in nova:
importance: Undecided → Medium
status: New → Confirmed
Russell Bryant (russellb) wrote :

Thanks for the report. This appears to be an intentional difference in behavior. There are two related bits of information associated with an instance, a "hostname" and "display name". What you get back from "nova list" is the display name. What you see from nova-manage is the hostname, which is a somewhat sanitized version of the display name.

It's fairly simple to adjust nova-manage to use the display name (patch attached). However, according to comments in review 3523 (https://review.openstack.org/#change,3523), nova-manage is going away, so it seems fruitless to make the change.

Hopefully this explanation at least makes it more clear why the results differ.

Changed in nova:
assignee: nobody → Russell Bryant (russellb)
milestone: none → essex-4
status: Confirmed → Won't Fix
Changed in nova:
milestone: essex-4 → none
Russell Bryant (russellb) wrote :

Actually, after the weekly meeting today, it sounds like nova-manage isn't going anywhere for essex, so I'll go ahead and submit this patch and see what happens.

Changed in nova:
status: Won't Fix → Confirmed

Fix proposed to branch: master
Review: https://review.openstack.org/3596

Changed in nova:
status: Confirmed → In Progress

Reviewed: https://review.openstack.org/3596
Committed: http://github.com/openstack/nova/commit/25325f47675d0fe89bd13fb813ea78b122c3e744
Submitter: Jenkins
Branch: master

commit 25325f47675d0fe89bd13fb813ea78b122c3e744
Author: Russell Bryant <email address hidden>
Date: Tue Jan 31 16:55:00 2012 -0500

    Use "display_name" in "nova-manage vm list".

    Fixes bug 894807.

    This patch changes the output of "nova-manage vm list" to use the
    display_name for an instance instead of the hostname in the output.
    This makes the output consistent with what you get with "nova list".

    Change-Id: I3131c5aad8770481bac7731c06110a98b4cc2966

Changed in nova:
status: In Progress → Fix Committed
Changed in nova:
milestone: none → essex-4
Thierry Carrez (ttx) on 2012-02-29
Changed in nova:
status: Fix Committed → Fix Released
Thierry Carrez (ttx) on 2012-04-05
Changed in nova:
milestone: essex-4 → 2012.1
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers